## AsVideo AsVideo — Object representing a video used in a screenshot. |

## Functions

AsVideoCodecKind | as_video_codec_kind_from_string ()
const gchar * | as_video_codec_kind_to_string ()
AsVideoContainerKind | as_video_container_kind_from_string ()
const gchar * | as_video_container_kind_to_string ()
AsVideo * | as_video_new ()
AsVideoCodecKind | as_video_get_codec_kind ()
void | as_video_set_codec_kind ()
AsVideoContainerKind | as_video_get_container_kind ()
void | as_video_set_container_kind ()
const gchar * | as_video_get_url ()
void | as_video_set_url ()
guint | as_video_get_width ()
void | as_video_set_width ()
guint | as_video_get_height ()
void | as_video_set_height ()
const gchar * | as_video_get_locale ()
void | as_video_set_locale ()

## Types and Values

#define | AS_TYPE_VIDEO
struct | AsVideoClass
enum | AsVideoCodecKind
enum | AsVideoContainerKind
| AsVideo

## Description

Screenshot may have a video instead of a static image associated with them. This object allows access to the video and basic information about it.

See also: AsScreenshot, AsImage

## Functions

### as_video_codec_kind_from_string ()

    AsVideoCodecKind
    as_video_codec_kind_from_string (const gchar *str);

Converts the text representation to an enumerated value.

#### Parameters

str | the string. |

#### Returns

a AsVideoCodecKind, or `AS_VIDEO_CODEC_KIND_UNKNOWN` for unknown.

[transfer full]

### as_video_codec_kind_to_string ()

    const gchar *
    as_video_codec_kind_to_string (AsVideoCodecKind kind);

Converts the enumerated value to an text representation.

#### Parameters

kind | the AsVideoCodecKind. |

#### Returns

string version of `codec`

### as_video_container_kind_from_string ()

    AsVideoContainerKind
    as_video_container_kind_from_string (const gchar *str);

Converts the text representation to an enumerated value.

#### Parameters

str | the string. |

#### Returns

a AsVideoContainerKind, or `AS_VIDEO_CONTAINER_KIND_UNKNOWN` for unknown.

[transfer full]

### as_video_container_kind_to_string ()

    const gchar *
    as_video_container_kind_to_string (AsVideoContainerKind kind);

Converts the enumerated value to an text representation.

#### Parameters

kind | the AsVideoContainerKind. |

#### Returns

string version of `kind`

### as_video_new ()

    AsVideo *
    as_video_new (void);

Creates a new AsVideo.

#### Returns

a AsVideo.

[transfer full]

### as_video_get_codec_kind ()

    AsVideoCodecKind
    as_video_get_codec_kind (AsVideo *video);

Gets the video codec, if known.

#### Parameters

video | a AsVideo instance. |

#### Returns

the AsVideoCodecKind

### as_video_set_codec_kind ()

    void
    as_video_set_codec_kind (AsVideo *video,
                             AsVideoCodecKind kind);

Sets the video codec.

#### Parameters

video | a AsVideo instance. |
kind | the AsVideoCodecKind, e.g. `AS_VIDEO_CODEC_KIND_AV1`. |

### as_video_get_container_kind ()

    AsVideoContainerKind
    as_video_get_container_kind (AsVideo *video);

Gets the video container format, if known.

#### Parameters

video | a AsVideo instance. |

#### Returns

the AsVideoContainerKind

### as_video_set_container_kind ()

    void
    as_video_set_container_kind (AsVideo *video,
                                 AsVideoContainerKind kind);

Sets the video container.

#### Parameters

video | a AsVideo instance. |
kind | the AsVideoContainerKind, e.g. `AS_VIDEO_CONTAINER_KIND_MKV`. |

### as_video_get_url ()

    const gchar *
    as_video_get_url (AsVideo *video);

Gets the full qualified URL for the video, usually pointing at a mirror or CDN server.

#### Parameters

video | a AsVideo instance. |

#### Returns

a web URL

### as_video_set_url ()

    void
    as_video_set_url (AsVideo *video,
                      const gchar *url);

Sets the fully-qualified URL to use for the video.

#### Parameters

video | a AsVideo instance. |
url | the URL. |

### as_video_get_width ()

    guint
    as_video_get_width (AsVideo *video);

Gets the video width, if known.

#### Parameters

video | a AsVideo instance. |

#### Returns

width in pixels or 0 if unknown

### as_video_set_width ()

    void
    as_video_set_width (AsVideo *video,
                        guint width);

Sets the video width.

#### Parameters

video | a AsVideo instance. |
width | the width in pixels. |

### as_video_get_height ()

    guint
    as_video_get_height (AsVideo *video);

Gets the video height, if known.

#### Parameters

video | a AsVideo instance. |

#### Returns

height in pixels or 0 if unknown

### as_video_set_height ()

    void
    as_video_set_height (AsVideo *video,
                         guint height);

Sets the video height.

#### Parameters

video | a AsVideo instance. |
height | the height in pixels. |

### as_video_get_locale ()

    const gchar *
    as_video_get_locale (AsVideo *video);

Get locale for this video.

#### Parameters

video | a AsVideo instance. |

#### Returns

Locale string

### as_video_set_locale ()

    void
    as_video_set_locale (AsVideo *video,
                         const gchar *locale);

Sets the locale for this video.

#### Parameters

video | a AsVideo instance. |
locale | the BCP47 locale string. |

## Types and Values

### AS_TYPE_VIDEO

    #define AS_TYPE_VIDEO (as_video_get_type ())

### struct AsVideoClass

    struct AsVideoClass {
    	GObjectClass		parent_class;
    };

### enum AsVideoCodecKind

Supported video codecs.

#### Members

AS_VIDEO_CODEC_KIND_UNKNOWN | Unknown video codec |
AS_VIDEO_CODEC_KIND_VP9 | The VP9 video codec |
AS_VIDEO_CODEC_KIND_AV1 | The AV1 video codec |

### enum AsVideoContainerKind

Supported video codecs.

#### Members

AS_VIDEO_CONTAINER_KIND_UNKNOWN | Unknown video container |
AS_VIDEO_CONTAINER_KIND_MKV | The Matroska video (MKV) container |
AS_VIDEO_CONTAINER_KIND_WEBM | The WebM video container |

### AsVideo

    typedef struct _AsVideo AsVideo;